当前位置: 萬仟网 > IT编程>移动>Android > Flutter学习笔记(1)--环境安装

Flutter学习笔记(1)--环境安装

2019年06月25日 16:37  | 萬仟网IT编程  | 我要评论

flutter最近显得格外的火,公司的同事也一直在谈论flutter,感觉自己不学学就要失业了。。。所以决定顺应潮流学习以下flutter,做一下学习笔记,希望可以给需要的同学带来一些帮助~

正文为flutter安装教程,如需转载,请注明出处:flutter学习笔记(1)--环境安装

一.安装git for windows:https://git-scm.com/download/win

我是一路next安装下来的,安装成功之后通过git bash命令行输入git,如果出现以下内容,则证明安装成功了

二.更新环境变量

 在用户变量中新建两个变量:

 pub_hosted_url=https://pub.flutter-io.cn
 flutter_storage_base_url=https://storage.flutter-io.c

三.下载flutter包,在想要下载的文件夹下右键-->git bash here-->git clone -b stable https://github.com/flutter/flutter.git
我第一次下载的时候失败了,报错信息为:error: rpc failed; curl 18 transfer closed with outstanding read data remaining原因:由于http协议错误,当clone的时候,因为curl的postbuffer默认值太小的原因,而项目可能本身比较大,所以下载失败。

解决:打开git命令行 输入 git config –global http.postbuffer 524288000,然后可以输入git config –list 查看刚才的设置是否生效。

再次下载就成功了,成功截图如下:

下载成功后,将flutter下bin文件夹的全路径配置到系统变量path下

四.安装flutter需要的依赖以及进行编译

命令行输入flutter doctor,进行安装flutter需要的依赖以及进行编译,第一次运行会很慢,以后再运行就会很快了

[√]是表示安装ok的,[×]是需要安装的,或者是已安装但是没有运行起来的。

接下来就是一个个解决

(1)第一个理解起来就是找不到android sdk,我是按照后面提示的执行了一下flutter doctor --android-licenses,一路按y,然后再执行一下flutter doctor,发现第一个问题就解决了:

(2)第二个问题就是没有安装flutter,打开android studio-->settings-->plugins,搜索flutter进行安装

(3)第二个问题就是没有安装dart,打开android studio-->settings-->plugins,搜索dart进行安装

安装完成之后再执行flutter doctor,会发现第二个和第三个问题也解决了

(4)还有最后一个问题,理解就是没有连接上设备,这里的话,大家可以连真机,也可以自行创建模拟器来使用

//todo 创建模拟器

五.新建flutter项目

以上步骤都完成了的话,就可以创建一个flutter项目new-->new flutter project,开始大家的flutter之旅啦~~~

 

总结:最初我是按照flutter中文官网上的教程进行配置的,可是中间遇到了很多莫名其妙的错误,我这暴脾气就忍不了了,放弃官网开始从网上查各种安装教程,看了很多博客,再加上自己慢慢摸索,

终于把flutter给安装好了,在这个过程中发现,每个人在安装过程中遇到的问题都不一样,每个博主写的安装教程也不一定适合你,重要的还是分析清楚遇到的问题,找一条自己的路。

 

希望可以给需要的同学带来一些帮助!!!

您可能感兴趣的文章:

如对本文有疑问,请在下面进行留言讨论,广大热心网友会与你互动!! 点击进行留言回复

相关文章:

◎已有 0 人评论

Copyright © 2019  萬仟网 保留所有权利. 粤ICP备17035492号-1
站长QQ:2386932994 | 联系邮箱:2386932994@qq.com